## net.percederberg.mib.symbol
Class ValueSymbol

    java.lang.Object
      |
      +--net.percederberg.mib.symbol.Symbol
            |
            +--net.percederberg.mib.symbol.ValueSymbol

public class ValueSymbol
extends Symbol

A class containing a value symbol from the MIB file. Each value symbol should be given a type and optionally a parent and an object identifier.

Author:
  Per Cederberg, per@percederberg.net

Fields inherited from class net.percederberg.mib.symbol.Symbol
`children, id, name, parent, type`

Constructor Summary
`ValueSymbol(java.lang.String name)` Creates a new value symbol.
`ValueSymbol(java.lang.String name, Type type, int id)` Creates a new value symbol with the given parameters.
`ValueSymbol(java.lang.String name, Type type, Symbol parent, int id)` Creates a new value symbol with the given parameters.

Method Summary
`boolean` `isField()` Checks if this symbol represents a data field in the model.
`boolean` `isTopField()` Checks if this symbol represents a top data field in the hierarchy.

Methods inherited from class net.percederberg.mib.symbol.Symbol
`addChild, childAt, children, equals, findChild, getName, getOID, getParent, getType, removeChild, setOID, setParent, setType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueSymbol

    public ValueSymbol(java.lang.String name)

  Creates a new value symbol.
  Parameters:
    `name` - the symbol name

### ValueSymbol

    public ValueSymbol(java.lang.String name,
                       Type type,
                       int id)

  Creates a new value symbol with the given parameters.
  Parameters:
    `name` - the symbol name
    `type` - the symbol type
    `id` - the object identifier number

### ValueSymbol

    public ValueSymbol(java.lang.String name,
                       Type type,
                       Symbol parent,
                       int id)

  Creates a new value symbol with the given parameters.
  Parameters:
    `name` - the symbol name
    `type` - the symbol type
    `parent` - the parent symbol
    `id` - the object identifier number

Method Detail

### isField

    public boolean isField()

  Checks if this symbol represents a data field in the model.
  Overrides:
    `isField` in class `Symbol`
  Returns:
    true if this symbol represents a data field, or false otherwise

### isTopField

    public boolean isTopField()

  Checks if this symbol represents a top data field in the hierarchy. Typically data fields contained within arrays and composed types will return false for this method.
  Overrides:
    `isTopField` in class `Symbol`
  Returns:
    true if this symbol represents a top data field, or false otherwise